import smbus

class KAmodRPiADCDAC:

	VINmax = 10
	bus = smbus.SMBus(1)
	adAddress = 0x4d
	daAddress = 0x60

	def setVINmax(self, v):
		self.VINmax = v

	def readMCP3021(self):
		rd = self.bus.read_word_data(self.adAddress, 0)
		return ((rd & 0xFF) << 8) | ((rd & 0xFF00) >> 8)

	def readMCP3021Voltage(self):
		val = self.readMCP3021() >> 2
		return float(self.VINmax) * float(val) / float(0x3FF)

	def writeMCP4716(self, level):
		self.bus.write_i2c_block_data(self.daAddress, (level & 0x3C0) >> 6, [(level & 0x3F) << 2])